Bug 166194 - Review Request: perl-Class-DBI-Plugin-Type : Determine type information for columns
Review Request: perl-Class-DBI-Plugin-Type : Determine type information for c...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Class-DBI...
:
Depends On: 166192
Blocks: FE-ACCEPT 166186
  Show dependency treegraph
 
Reported: 2005-08-17 16:39 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-01 17:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch addressing review issues (1.50 KB, patch)
2005-08-31 06:53 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:39:28 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Plugin-Type.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Plugin-Type-0.02-2.src.rpm

Description: 

Determine type information for columns

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Paul Howarth 2005-08-31 06:46:23 EDT
Review:

- rpmlint clean
- package and spec file naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec written in English and legible
- source matches upstream
- builds OK in mock for FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- redundant BR: perl
- BR: perl(DBD::SQLite) needed for %check
- license text not included

Nitpick:

- suggest using %{?_smp_mflags} with make in %%build
Comment 2 Paul Howarth 2005-08-31 06:53:27 EDT
Created attachment 118290 [details]
Patch addressing review issues
Comment 4 Paul Howarth 2005-09-01 11:33:05 EDT
Approved.

Note You need to log in before you can comment on or make changes to this bug.